zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Abraham Fine (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ZOOKEEPER-2934) c versions of election and queue recipes do not compile
Date Mon, 06 Nov 2017 20:46:00 GMT

     [ https://issues.apache.org/jira/browse/ZOOKEEPER-2934?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Abraham Fine updated ZOOKEEPER-2934:
------------------------------------
    Description: 
I see errors like: 
{code}
/var/zookeeper/src/recipes/queue/src/c/../../../../../src/c/include/zookeeper_log.h:39:74:
error: expected expression before ')' token
     log_message(_cb, ZOO_LOG_LEVEL_DEBUG, __LINE__, __func__, __VA_ARGS__)
                                                                          ^
{code}

> c versions of election and queue recipes do not compile
> -------------------------------------------------------
>
>                 Key: ZOOKEEPER-2934
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2934
>             Project: ZooKeeper
>          Issue Type: Bug
>          Components: recipes
>    Affects Versions: 3.4.10, 3.5.3
>            Reporter: Abraham Fine
>
> I see errors like: 
> {code}
> /var/zookeeper/src/recipes/queue/src/c/../../../../../src/c/include/zookeeper_log.h:39:74:
error: expected expression before ')' token
>      log_message(_cb, ZOO_LOG_LEVEL_DEBUG, __LINE__, __func__, __VA_ARGS__)
>                                                                           ^
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message